| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Seis::SelSetup Class Reference
Seis

setup for subselection of seismic data More...

`#include <seisselection.h>`

Inheritance diagram for Seis::SelSetup:
[legend]

## Public Member Functions
| SelSetup (bool is_2d, bool is_ps=false)
| SelSetup (Seis::GeomType)
| ~SelSetup ()
isps fornewentry withoutz seltxt zunitstr Seis::GeomType | geomType () const
| mDefSetupClssMemb (SelSetup, bool, is2d) mDefSetupClssMemb(SelSetup
isps fornewentry | mDefSetupClssMemb (SelSetup, bool, multiline) mDefSetupClssMemb(SelSetup
isps | mDefSetupClssMemb (SelSetup, bool, onlyrange) mDefSetupClssMemb(SelSetup
isps fornewentry withoutz | mDefSetupClssMemb (SelSetup, bool, withstep) mDefSetupClssMemb(SelSetup
isps fornewentry withoutz seltxt | mDefSetupClssMemb (SelSetup, BufferString, zdomkey) mDefSetupClssMemb(SelSetup

## Public Attributes
| bool
isps | bool
isps fornewentry | bool
isps fornewentry withoutz seltxt | BufferString
isps fornewentry withoutz | uiString

## Detailed Description

setup for subselection of seismic data

<>

## Constructor & Destructor Documentation

## ◆ SelSetup() [1/2]

Seis::SelSetup::SelSetup | ( | Seis::GeomType |  | ) |

## ◆ SelSetup() [2/2]

Seis::SelSetup::SelSetup | ( | bool | is_2d,
|  | bool | is_ps = false )

## ◆ ~SelSetup()

Seis::SelSetup::~SelSetup | ( |  | ) |

## Member Function Documentation

## ◆ geomType()

isps fornewentry withoutz seltxt zunitstr Seis::GeomType Seis::SelSetup::geomType | ( |  | ) | const
| inline

## ◆ mDefSetupClssMemb() [1/5]

Seis::SelSetup::mDefSetupClssMemb | ( | SelSetup | ,
|  | bool | ,
|  | is2d | )

## ◆ mDefSetupClssMemb() [2/5]

isps fornewentry Seis::SelSetup::mDefSetupClssMemb | ( | SelSetup | ,
|  | bool | ,
|  | multiline | )

## ◆ mDefSetupClssMemb() [3/5]

isps Seis::SelSetup::mDefSetupClssMemb | ( | SelSetup | ,
|  | bool | ,
|  | onlyrange | )

## ◆ mDefSetupClssMemb() [4/5]

isps fornewentry withoutz Seis::SelSetup::mDefSetupClssMemb | ( | SelSetup | ,
|  | bool | ,
|  | withstep | )

## ◆ mDefSetupClssMemb() [5/5]

isps fornewentry withoutz seltxt Seis::SelSetup::mDefSetupClssMemb | ( | SelSetup | ,
|  | BufferString | ,
|  | zdomkey | )

## Member Data Documentation

## ◆ bool [1/3]

Seis::SelSetup::bool

## ◆ bool [2/3]

isps Seis::SelSetup::bool

## ◆ bool [3/3]

isps fornewentry Seis::SelSetup::bool

## ◆ BufferString

isps fornewentry withoutz seltxt Seis::SelSetup::BufferString

## ◆ uiString

isps fornewentry withoutz Seis::SelSetup::uiString

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025